> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete user costs upload

> Delete a UserCostsUpload.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json delete /integrations/{integration_token}/costs/{user_costs_upload_token}
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /integrations/{integration_token}/costs/{user_costs_upload_token}:
    delete:
      tags:
        - Integrations
      summary: Delete user costs upload
      description: Delete a UserCostsUpload.
      operationId: deleteUserCostsUpload
      parameters:
        - name: integration_token
          in: path
          required: true
          schema:
            type: string
        - name: user_costs_upload_token
          in: path
          description: Token of the UserCostsUpload to delete.
          required: true
          schema:
            type: string
      responses:
        '204':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Cost'
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - write
components:
  schemas:
    Cost:
      required:
        - accrued_at
        - amount
        - currency
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        accrued_at:
          type: string
          description: The date the cost was accrued. ISO 8601 Formatted.
          nullable: false
          example: 2023-09-05+00:00
        amount:
          type: string
          description: The amount of the cost.
          nullable: false
          example: '4.25'
        currency:
          type: string
          description: The currency of the cost.
          nullable: false
          example: USD
        usage:
          type: object
          properties: {}
          description: The usage amount and unit incurred by the cost.
          nullable: true
        provider:
          type: string
          description: The cost provider which incurred the cost.
          nullable: true
          example: aws
          enum:
            - aws
            - azure
            - gcp
            - snowflake
            - databricks
            - mongo
            - datadog
            - fastly
            - new_relic
            - opencost
            - open_ai
            - oracle
            - confluent
            - planetscale
            - coralogix
            - kubernetes
            - custom_provider
            - github
            - linode
            - grafana
            - clickhouse
            - temporal
            - twilio
            - azure_csp
            - kubernetes_agent
            - anthropic
            - anyscale
            - cursor
            - elastic
            - vercel
            - redis_cloud
            - circle_ci
            - modal
            - eleven_labs
        billing_account_id:
          type: string
          description: The cost provider's billing account id that incurred the cost.
          nullable: true
          example: '9109237192'
        account_id:
          type: string
          description: The cost provider's account id that incurred the cost.
          nullable: true
          example: '9109237192'
        service:
          type: string
          description: The service which incurred the cost.
          nullable: true
          example: Amazon Elastic Compute Cloud - Compute
        region:
          type: string
          description: The region which incurred the cost.
          nullable: true
          example: us-east-1
        resource_id:
          type: string
          description: The resource id which incurred the cost.
          nullable: true
          example: arn:aws:ec2:us-east-1:123456789012:instance/i-1234567890abcdef0
        resource_name:
          type: string
          description: >-
            The human-readable resource name when Vantage can enrich the
            resource id.
          nullable: true
          example: claude_code_key_name
        tag:
          type: string
          description: |-
            The tag attached to the cost that was incurred.
            DEPRECATED: does not support multiple tags.
          nullable: true
          example: production
        tags:
          type: array
          description: The tag pairs attached to the cost that was incurred.
          nullable: true
          items:
            type: string
            example: ''
        cost_category:
          type: string
          description: The category for the cost.
          nullable: true
          example: Data Transfer
        cost_subcategory:
          type: string
          description: The subcategory for the cost.
          nullable: true
          example: DataTransfer-Regional-Bytes
        segment:
          type: string
          description: The segment name for segment report costs.
          nullable: true
          example: Engineering
      description: Cost model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````